/**
   RESET FILE
   Portions Adapted from Bootstrap 4 Alpha
*/

/**
 * Reset Box Sizing
 */

html {
  box-sizing: border-box;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

/**
 * Make Viewport Responsive
 */

@at-root {
  @-moz-viewport { width: device-width; }

  @-ms-viewport { width: device-width; }

  @-o-viewport { width: device-width; }

  @-webkit-viewport { width: device-width; }

  @viewport { width: device-width; }
}

/**
 * RESET HTML AND MORE
 */

html {
  /*
     As a side-effect of setting the @viewport above,
     IE11 & Edge make the scrollbar overlap the content and automatically hide itself when not in use.
     Unfortunately, the auto-showing of the scrollbar is sometimes too sensitive,
     thus making it hard to click on stuff near the right edge of the page.
     So we add this style to force IE11 & Edge to use a "normal", non-overlapping, non-auto-hiding scrollbar.
  */
  -ms-overflow-style: scrollbar;

  /* Changes the default tap highlight to be completely transparent in iOS. */
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

/*
   Suppress the focus outline on elements that cannot be accessed via keyboard.
   This prevents an unwanted focus outline from appearing around elements that
   might still respond to pointer events.
   Credit: https://github.com/suitcss/base
*/
[tabindex="-1"]:focus {
  outline: none !important;
}

/*
   iOS "clickable elements" fix for role="button"
   Fixes "clickability" issue (and more generally, the firing of events such as focus as well)
   for traditionally non-focusable elements with role="button"
   see https://developer.mozilla.org/en-US/docs/Web/Events/click#Safari_Mobile
*/

[role="button"] {
  cursor: pointer;
}

/*
   Avoid 300ms click delay on touch devices that support the `touch-action` CSS property.

   In particular, unlike most other browsers, IE11+Edge on Windows 10 on touch devices and IE Mobile 10-11
   DON'T remove the click delay when `<meta name="viewport" content="width=device-width">` is present.
   However, they DO support removing the click delay via `touch-action: manipulation`.
   See:
   * http://v4-alpha.getbootstrap.com/content/reboot/#click-delay-optimization-for-touch
   * http://caniuse.com/#feat=css-touch-action
   * http://patrickhlauke.github.io/touch/tests/results/#suppressing-300ms-delay
*/

a,
area,
button,
[role="button"],
input,
label,
select,
summary,
textarea {
  touch-action: manipulation;
  -webkit-appearance: none;
}

label {
  /* Allow labels to use `margin` for spacing. */
  display: inline-block;
}

/*
   Work around a Firefox/IE bug where the transparent `button` background
   results in a loss of the default `button` focus styles.

   Credit: https://github.com/suitcss/base/
*/
button:focus {
  outline: 1px dotted;
  outline: 5px auto -webkit-focus-ring-color;
}

input,
button,
select,
textarea {
  /* Remove all `margin`s so our classes don't have to do it themselves. */
  margin: 0;

  /*
     Normalize includes `font: inherit;`, so `font-family`. `font-size`, etc are
     properly inherited. However, `line-height` isn't addressed there. Using this
     ensures we don't need to unnecessarily redeclare the global font stack.
  */
  line-height: inherit;

  /* iOS adds rounded borders by default */
  border-radius: 0;
}

textarea {
  /* Textareas should really only resize vertically so they don't break their (horizontal) containers. */
  resize: vertical;
}

fieldset {
  /*
     Chrome and Firefox set a `min-width: min-content;` on fieldsets,
     so we reset that to ensure it behaves more like a standard block element.
     See https://github.com/twbs/bootstrap/issues/12359.
  */
  min-width: 0;

  /* Reset the default outline behavior of fieldsets so they don't affect page layout. */
  padding: 0;
  margin: 0;
  border: 0;
}

legend {
  /* Reset the entire legend element to match the `fieldset` */
  display: block;
  width: 100%;
  padding: 0;
  margin-bottom: 0.5rem;
  font-size: 1.5rem;
  line-height: inherit;

  /* border: 0; */
}

input[type="search"] {
  /* Undo Normalize's default here to match our global overrides. */
  box-sizing: inherit;

  /*
     This overrides the extra rounded corners on search inputs in iOS so that our
     `.form-control` class can properly style them. Note that this cannot simply
     be added to `.form-control` as it's not specific enough. For details, see
     https://github.com/twbs/bootstrap/issues/11586.
  */
  -webkit-appearance: none;
}

/* Always hide an element with the `hidden` HTML attribute (from PureCSS). */
[hidden] {
  display: none !important;
}

/**
 * RESET ALL BASIC STYLING
 */

/* html,
body, */
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font-family: inherit;
  vertical-align: baseline;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}

ol,
ul {
  list-style: none;
}

blockquote,
q {
  quotes: none;
}

blockquote::before,
blockquote::after,
q::before,
q::after {
  content: '';
  content: none;
}
